# HighScoreWindow Struct Reference

Inheritance diagram for HighScoreWindow:

## Public Member Functions
| HighScoreWindow (const WindowDesc *desc, int difficulty, int8 ranking)
virtual void | OnPaint ()
| The window must be repainted.

## Detailed Description

Definition at line 151 of file highscore_gui.cpp.

## Member Function Documentation

virtual void HighScoreWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 173 of file highscore_gui.cpp.

References _networking, DrawString(), DrawStringMultiLine(), FONT_HEIGHT_LARGE, EndGameHighScoreBaseWindow::GetTopLeft640x480(), lengthof, ORIGINAL_END_YEAR, SA_CENTER, SetDParam(), and Window::window_number.

The documentation for this struct was generated from the following file:

- src/highscore_gui.cpp